
#include <stdlib.h>
#include <stdio.h>
#include <SDL/SDL.h>

void fenetreOuvert();

int main ( int argc, char** argv )
{
    // initialiser SDL video
    if ( SDL_Init( SDL_INIT_VIDEO ) < 0 )
    {
        printf( "Unable to init SDL: %s\n", SDL_GetError() );// ecrire un message d'erreur dans le cas echeant
        return 1;
    }



    // creer une nouvelle fenetre
    SDL_Surface* screen = SDL_SetVideoMode(640, 480, 32,SDL_HWSURFACE|SDL_DOUBLEBUF);


    // charger une image
    SDL_Surface* bmp = SDL_LoadBMP("cb.bmp");


    // centrer l'image dans screen
    SDL_Rect pos;
    pos.x = (screen->w - bmp->w) / 2;
    pos.y = (screen->h - bmp->h) / 2;






        SDL_FillRect(screen, 0, SDL_MapRGB(screen->format, 0, 0, 0));//colorer l'ecran


        SDL_BlitSurface(bmp, 0, screen, &pos);// coller l'image sur l'ecran sur la position predefinit



        SDL_Flip(screen);// actialiser la fenetre apres les modification effectués

    fenetreOuvert(); // laisser la fenetre ouverte

    SDL_FreeSurface(bmp);


    return 0;
}



//// A expliquer ulterieurement, quand nous aborderons les evenements
void fenetreOuvert()
{
    bool done = false;

    while (!done)
    {

        SDL_Event event;
        while (SDL_PollEvent(&event))
        {

            switch (event.type)
            {

            case SDL_QUIT: // fermer la fenetre en cliquant sur le croix rouge
                done = true;
                break;


            case SDL_KEYDOWN: // fermer la fenetre en cliquant sur le boutons ESCAPE (echap)
                {

                    if (event.key.keysym.sym == SDLK_ESCAPE)
                        done = true;
                    break;
                }
            }
        }
}
}
